List Store Metafields

Gets all store metafields.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Query parameters

pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list of products.

keystringOptional

Filter based on a metafieldʼs key.

key:inlist of stringsOptional

Filter based on comma-separated metafieldʼs keys. Could be used with vanilla key query parameter.

namespacestringOptional

Filter based on a metafieldʼs namespaces.

namespace:inlist of stringsOptional

Filter based on comma-separated metafieldʼs namespaces. Could be used with vanilla namespace query parameter

include_fieldslist of enumsOptional

Fields to include, in a comma-separated list. The ID and the specified fields will be returned.

date_modified:minstringOptional

‘Query parameter that lets you filter by the minimum date modified, for example, 2024-05-14T09:34:00, 2024-05-14T09:34:00 or 2024-05-14. Returns metafields modified after this date.’

date_modified:maxstringOptional

‘Query parameter that lets you filter by the maximum date modified, for example, 2024-05-14T09:34:00, 2024-05-14T09:34:00 or 2024-05-14. Returns metafields modified before this date.’

date_created:minstringOptional

‘Query parameter that lets you filter by the minimum date created, for example, 2024-05-14T09:34:00, 2024-05-14T09:34:00 or 2024-05-14. Returns metafields created after this date.’

date_created:maxstringOptional

‘Query parameter that lets you filter by the maximum date created, for example, 2024-05-14T09:34:00, 2024-05-14T09:34:00 or 2024-05-14. Returns metafields created before this date.’

directionenumOptional

Sort direction. Acceptable values are: asc, desc.

Allowed values:
beforestringOptional
A cursor indicating where to start retrieving the previous page of results. Use this parameter to paginate backward. Not required for the initial request. For subsequent requests, use the end_cursor value returned in meta.cursor_pagination from the previous response. Works with limit, direction, and other supported query parameters. When specified, offset-based pagination (page) is ignored. Cannot be used in combination with the after parameter.
afterstringOptional
A cursor indicating where to start retrieving the next page of results. Use this parameter to paginate forward. Not required for the initial request. For subsequent requests, use the start_cursor value returned in meta.cursor_pagination from the previous response. Works with limit, direction, and other supported query parameters. When specified, offset-based pagination (page) is ignored. Cannot be used in combination with the before parameter.

Response

List of Metafield objects.

datalist of objects
metaobject
Data about the response, including pagination and collection totals.